%define name	gfxboot
%define version	4.1.19
%define release	%mkrel 2

Summary:	Tools to create graphical boot logos
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		gfxboot-3.3.18-mdv.patch
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://en.opensuse.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	nasm
BuildRequires:	xmlto
BuildRequires:	libx11-devel
BuildRequires:	freetype2-devel

%description
gfxboot provides tools to create graphical boot logos, for grub, lilo
and syslinux. It supports arch-specific boot menus, advanced help
menus, multiple keymaps, animated images, and more graphical pretty
things.

%package        devel
License:        GPLv2+
Summary:        Tools for creating a graphical boot logo
Group:          System/Kernel and hardware
Requires:	gfxboot = %version-%release

%description devel
Here you find the necessary programs to create your own graphical boot
logo. The logo can be used with grub, lilo or syslinux.

%prep
%setup -q
%patch0 -p1 -b .mdv

%build
%make
%make doc

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std THEMES=""
install -d -m 755 %{buildroot}%{_mandir}/man8
install -m 644 doc/gfxboot.8 %{buildroot}%{_mandir}/man8

# gfxboot-compile is used to build as non-root, move it out of /usr/sbin
install -d %{buildroot}%{_bindir}
mv %{buildroot}%{_sbindir}/gfxboot-compile %{buildroot}%{_bindir}/gfxboot-compile
mv %{buildroot}%{_sbindir}/gfxboot-font %{buildroot}%{_bindir}/gfxboot-font

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/gfxboot
%{_mandir}/man8/*

%files devel
%defattr(-,root,root)
%{_bindir}/gfxboot-compile
%{_bindir}/gfxboot-font
%doc doc/gfxboot.html
%doc doc/gfxboot.txt


%changelog
* Tue Jan 27 2009 Pixel <pixel@mandriva.com> 4.1.19-2mdv2009.1
+ Revision: 334055
- add require from gfxboot-devel on gfxboot (same version)

* Thu Jan 22 2009 Pixel <pixel@mandriva.com> 4.1.19-1mdv2009.1
+ Revision: 332569
- 4.1.19
- adapt spec (inspiration: SuSE's spec)

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.3.18-4mdv2009.0
+ Revision: 219552
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 3.3.18-2mdv2008.0
+ Revision: 91249
- rebuild for 2008
- new license policy
- slight spec clean


* Tue Dec 05 2006 Pixel <pixel@mandriva.com> 3.3.18-1mdv2007.0
+ Revision: 90945
- add BuildRequires freetype2-devel
- update mdv patch
- new release: 3.3.18
- update mdv patch
- getx11font is now mkblfont
- Import gfxboot

* Fri Jun 23 2006 Olivier Blin <oblin@mandriva.com> 3.2.27-2mdv2007.0
- Source1: add Suse theme as reference (from openSUSE package)
- Patch0: use "Mandriva Linux" as default product in help2txt
- use "Mandriva Linux <release>" as default product when building packaged theme

* Fri Jun 23 2006 Olivier Blin <oblin@mandriva.com> 3.2.27-1mdv2007.0
- initial Mandriva release

